> ## Documentation Index
> Fetch the complete documentation index at: https://docs.finhost.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Create company  

> Company info



## OpenAPI

````yaml post /companies
openapi: 3.0.0
info:
  title: FinHost WLB Client API
  description: WLB Client REST API openApi 3.0 specification
  contact:
    email: odv4mail@gmail.com
  version: 1.0.0
servers:
  - url: https://client-api.dev.finhost.io
  - url: https://client-api.stage-v2.finhost.io
  - url: https://client-api-atlaspay-prod.finhost.io
security: []
tags:
  - name: Client
    description: Information about service clients
  - name: Sumsub
    description: KYC service
  - name: Contract
    description: Operations with clients contracts
  - name: Account
    description: Operations with clients accounts
  - name: Transfer
    description: Operations with clients assets
  - name: Recipient
    description: Operations with recipients
  - name: Statement
    description: List of the client statments
  - name: Company
    description: List of the client statments
paths:
  /companies:
    post:
      tags:
        - Company
      summary: 'Create company  '
      description: Company info
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/companies_body'
        required: true
      responses:
        '200':
          description: 200 response
          headers:
            Access-Control-Allow-Origin:
              style: simple
              explode: false
              schema:
                type: string
            Content-Type:
              style: simple
              explode: false
              schema:
                type: string
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CompanyProfile'
      security:
        - bearerAuth: []
components:
  schemas:
    companies_body:
      required:
        - contactName
        - email
        - name
        - position
        - registrationNumber
        - tradingAddress
        - type
      type: object
      properties:
        name:
          type: string
        type:
          type: string
        position:
          type: string
        email:
          type: string
          example: valid@email.com
        phone:
          type: string
          example: '+38090903'
        registrationNumber:
          type: string
        contactName:
          type: string
        tradingAddress:
          $ref: '#/components/schemas/companies_tradingAddress'
    CompanyProfile:
      type: object
      properties:
        companyType:
          type: string
          description: Type of the company
        companyId:
          type: string
          description: Unique identifier of the company
        kyc:
          type: string
          description: Status of the KYC process
        adm:
          type: string
          description: Status of the ADM process
        id:
          type: string
          description: Unique identifier of the company profile
        name:
          type: string
          description: Name of the company
        position:
          type: string
          description: Position of the user within the company
        email:
          type: string
          description: Company email
          format: email
    companies_tradingAddress:
      type: object
      properties:
        country:
          type: string
        postCode:
          type: string
        state:
          type: string
        street:
          type: string
        streetLine2:
          type: string
        town:
          type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````